#include "PdfDocument.h"
#include "PdfWriter.h"
#include "PdfObject.h"
#include "File.h"

#include "TestFramework.h"
#include "TestUtils.h"

TEST_CASE(TestDocumentConverterMarkdownToPdf, "publishing")
{
    auto document = std::make_unique<PdfDocument>();

    PdfWriter writer;
    const auto output = writer.toString(document.get());

    File pdf_file(TestUtils::getTestOutputDir() / "TestDocumentConverterMarkdownToPdf.pdf");
    pdf_file.open(File::AccessMode::Write);
    pdf_file.writeText(output);
}
